<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['vozrast-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['vozrast'])) {puterror($result2['skin'],$TEXT['error-vozrast1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['vozrast'])>255) {puterror($result2['skin'],$TEXT['error-vozrast2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['vozrast'])) {$vozrast=trim($_POST['vozrast']);}
 else {$vozrast ="";}
   if(empty($vozrast)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['vozrast'] = rep($_POST['vozrast']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`vozr_id`) AS c_vozr_id FROM `tbl_vozrast` WHERE `vozrast`='".$_POST['vozrast']."' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_vozr_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-vozrast1'];
  $what = "&laquo;".$_POST['vozrast']."&raquo;";
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_vozrast` ( `vozr_id` , `vozrast` ) VALUES ( NULL , '".$_POST['vozrast']."')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl24']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>